xine-lib: qt_info Struct Reference

xine-lib 1.2.12

Data Fields
qt_info Struct Reference

## Data Fields
int | compressed_header
unsigned int | creation_time
unsigned int | modification_time
unsigned int | timescale
unsigned int | duration
int32_t | msecs
uint32_t | normpos_mul
uint32_t | normpos_shift
int64_t | moov_first_offset
unsigned int | trak_count
qt_trak * | traks
int | audio_trak_count
int | audio_traks [8]
int | video_trak
int | audio_trak
int | seek_flag
xine_mfrag_list_t * | fraglist
int | fragment_count
size_t | fragbuf_size
uint8_t * | fragment_buf
off_t | fragment_next
char * | artist
char * | name
char * | album
char * | genre
char * | copyright
char * | description
char * | comment
char * | composer
char * | year
reference_t * | references
unsigned int | reference_count
int | chosen_reference
char * | base_mrl
qt_error | last_error

## Field Documentation

## ◆ album

char* qt_info::album

## ◆ artist

char* qt_info::artist

## ◆ audio_trak

int qt_info::audio_trak

## ◆ audio_trak_count

int qt_info::audio_trak_count

## ◆ audio_traks

int qt_info::audio_traks[8]

## ◆ base_mrl

char* qt_info::base_mrl

## ◆ chosen_reference

int qt_info::chosen_reference

## ◆ comment

char* qt_info::comment

## ◆ composer

char* qt_info::composer

## ◆ compressed_header

int qt_info::compressed_header

## ◆ copyright

char* qt_info::copyright

## ◆ creation_time

unsigned int qt_info::creation_time

## ◆ description

char* qt_info::description

## ◆ duration

unsigned int qt_info::duration

## ◆ fragbuf_size

size_t qt_info::fragbuf_size

## ◆ fraglist

xine_mfrag_list_t* qt_info::fraglist

## ◆ fragment_buf

uint8_t* qt_info::fragment_buf

## ◆ fragment_count

int qt_info::fragment_count

## ◆ fragment_next

off_t qt_info::fragment_next

## ◆ genre

char* qt_info::genre

## ◆ last_error

qt_error qt_info::last_error

## ◆ modification_time

unsigned int qt_info::modification_time

## ◆ moov_first_offset

int64_t qt_info::moov_first_offset

## ◆ msecs

int32_t qt_info::msecs

## ◆ name

char* qt_info::name

## ◆ normpos_mul

uint32_t qt_info::normpos_mul

## ◆ normpos_shift

uint32_t qt_info::normpos_shift

## ◆ reference_count

unsigned int qt_info::reference_count

## ◆ references

reference_t* qt_info::references

## ◆ seek_flag

int qt_info::seek_flag

## ◆ timescale

unsigned int qt_info::timescale

## ◆ trak_count

unsigned int qt_info::trak_count

## ◆ traks

qt_trak* qt_info::traks

## ◆ video_trak

int qt_info::video_trak

## ◆ year

char* qt_info::year

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_qt.c